//
//
//
//
var timeOuts = Array();
timeOuts[0] = 10;
timeOuts[1] = 13;
timeOuts[2] = 15;

var frameIntervalId = null;
var timeout = null;
var switcherIndex = 0;

function enterLogState() {
	clearTimeout(timeout);
	clearInterval(frameIntervalId)
}

function getPagesCount() {
	return 3;
}

function slideMove(index) {
	switcherIndex = index;
	showeSlideAnimation(switcherIndex);
	changeFramePosition()
	clearTimeout(timeout);
	$('.frame-container').eq(index).find('.frame').removeClass('show-frame');
	$('.frame-container').eq(index).find('.frame').eq(0).addClass('show-frame');
	timeout = setTimeout("clearInterval(frameIntervalId);controller.selectPage_(" + (index + 1) + ");", timeOuts[index] * 1000);
}


/******
 *
 *
 * Animation: slide animation
 *
 */



var showeSlideAnimation = function (index) {
	var slideTime = timeOuts[index],
		indexInt = parseInt(index),
		slideName = '',
		frameShowTime,
		slideFrameContainer = [],
		frameCount = 1;
	var timerIdDescriptionHide;
	switch (indexInt) {
		case 0:
			slideName = ".first-slide";
			break;
		case 1:
			slideName = ".second-slide";
			break;
		case 2:
			slideName = ".third-slide";
			break;
		case 3:
			slideName = ".fourth-slide";
			break;
		case 4:
			slideName = ".fifth-slide";
			break;
		case 5:
			slideName = ".sixth-slide";
			break;
		default:
			slideName = "not defined";
			break;
	}

	$('.frame-container').css({'display':'none'});
	$(slideName).css({'display':'block'});
	$('.frame').removeClass('show-frame');
	slideFrameContainer = $(slideName).find('.frame');
	$(slideFrameContainer[0]).addClass('show-frame');
	frameShowTime = (slideTime / slideFrameContainer.length) * 1000;

	$('.slide-description').removeClass('hide-description').removeClass('show-description');
	$(slideName+'-description').addClass('show-description');
	$('.slide-description').not(slideName+'-description').addClass('hide-description');

	changeFramePosition();

	if ( indexInt === 0 ){
		//$('.first-slide .mac').css({'-webkit-transform':'scale(0)','transform':'scale(0)'})
		TweenMax.killAll(false, true, false);
		TweenMax.to($('.first-slide .mac_showen'), 1, {css:{scale:1,opacity: 1}, ease: Elastic.easeOut, delay: 0.5});
		TweenMax.to($('.first-slide .audio-csset'), 1, {css:{right: "-32%", top: "30%", opacity: 1}, ease: Circ.easeOut, delay: 1.6 } );
		TweenMax.to($('.first-slide .cubic'), 1, {css:{right: "140%", top:  "5%", opacity: 1}, ease: Circ.easeOut, delay: 1.6 } );
		TweenMax.to($('.first-slide .dao-monada'), 1, {css:{right: "130%", top:  "75%", opacity: 1}, ease: Circ.easeOut, delay: 1.6 } );
		TweenMax.to($('.first-slide .earth'), 1, {css:{right: "-50%", top:  "16%", opacity: 1}, ease: Circ.easeOut, delay: 1.6 } );
		TweenMax.to($('.first-slide .lego'), 1, {css:{right: "110%", top:  "33%", opacity: 1}, ease: Circ.easeOut, delay: 1.6 } );
		TweenMax.to($('.first-slide .tools'), 1, {css:{right: "-25%", top:  "-5%", opacity: 1}, ease: Circ.easeOut, delay: 1.6 } );
		TweenMax.to($('.first-slide .trash'), 1, {css:{right: "-55%", top:  "70%", opacity: 1}, ease: Circ.easeOut, delay: 1.6 } );
		TweenMax.to($('.first-slide .traingle-arrow'), 1, {css:{right: "100%", top:  "-5%", opacity: 1}, ease: Circ.easeOut, delay: 1.6 } );

		TweenMax.to($('.first-slide-description.show-description'), 1.6, {css:{top: 10, opacity: 1}, ease: Quint.easeOut, delay: 2.5 } );
		TweenMax.to($('.hide-description'), 1.1, {css:{top: 100, opacity: 0}, ease: Quint.easeIn, delay: 0 } );
		TweenMax.to($('.hide-description'), 0.2, {css:{top: -100, opacity: 0}, ease: Quint.easeIn, delay: 1.6 } );

	} else{
		$('.first-slide').find('div,p,img').removeAttr('style');
		changeImageSize();
		changeFramePosition();
	}

	if ( indexInt === 1 ){
		TweenMax.killAll(false, true, false);
		TweenMax.to($('.second-slide .audio-csset'), 0.7, {css:{ right: "50%", top: "50%", opacity: 0}, ease: Circ.easeOut, delay: 1.1 } );
		TweenMax.to($('.second-slide .cubic'), 0.7, {css:{right: "50%", top: "50%", opacity: 0}, ease: Circ.easeOut, delay: 1.1 } );
		TweenMax.to($('.second-slide .dao-monada'), 0.7, {css:{right: "50%", top: "50%", opacity: 0}, ease: Circ.easeOut, delay: 1.1 } );
		TweenMax.to($('.second-slide .earth'), 0.7, {css:{right: "50%", top: "50%", opacity: 0}, ease: Circ.easeOut, delay: 1.1 } );
		TweenMax.to($('.second-slide .lego'), 0.7, {css:{right: "50%", top: "50%", opacity: 0}, ease: Circ.easeOut, delay: 1.1 } );
		TweenMax.to($('.second-slide .tools'), 0.7, {css:{right: "50%", top: "50%", opacity: 0}, ease: Circ.easeOut, delay: 1.1 } );
		TweenMax.to($('.second-slide .trash'), 0.7, {css:{right: "50%", top: "50%", opacity: 0}, ease: Circ.easeOut, delay: 1.1 } );
		TweenMax.to($('.second-slide .traingle-arrow'), 0.7, {css:{right: "50%", top: "50%", opacity: 0}, ease: Circ.easeOut, delay: 1.1 } );
		TweenMax.to($('.second-slide .mac'), 1, {css:{left: "-50%"}, ease: Elastic.easeOut, delay: 2.5 } );
		TweenMax.to($('.second-slide .first-phrase'), 0.5, {css:{left: "77%",top:"-10%",opacity: 1}, ease: Elastic.easeOut, delay: 3.5 } );
		TweenMax.to($('.second-slide .second-phrase'), 0.5, {css:{left: "80%",top:"25%",opacity: 1}, ease: Elastic.easeOut, delay: 4.2 } );
		TweenMax.to($('.second-slide .third-phrase'), 0.5, {css:{left: "80%",top:"62%",opacity: 1}, ease: Elastic.easeOut, delay: 4.7 } );

		TweenMax.to($('.second-slide-description.show-description'), 1.6, {css:{top: 10, opacity: 1}, ease: Quint.easeOut, delay: 5.8 } );

		TweenMax.to($('.hide-description'), 1.1, {css:{top: 100, opacity: 0}, ease: Quint.easeIn, delay:0 } );
		TweenMax.to($('.hide-description'), 0.2, {css:{top: -100, opacity: 0}, ease: Quint.easeIn, delay: 1.6 } );
	} else{
		$('.second-slide').find('div,p,img').removeAttr('style');
		changeImageSize();
		changeFramePosition();
	}

	if ( indexInt === 2 ){
		TweenMax.killAll(false, true, false);
		TweenMax.to($('.third-slide .first-phrase'), 0.5, {css:{scale: 0}, ease: Quint.easeIn, delay: 0.5 } );
		TweenMax.to($('.third-slide .second-phrase'), 0.5, {css:{scale: 0}, ease: Quint.easeIn, delay: 1 } );
		TweenMax.to($('.third-slide .third-phrase'), 0.5, {css:{scale: 0}, ease: Quint.easeIn, delay: 1.5 } );
		TweenMax.to($('.checklist-container'), 1.5, {css:{left: "60%", opacity: 1}, ease: Elastic.easeOut, delay: 2 } );
		TweenMax.to($('.third-slide .first-phrase'), 0.5, {css:{scale: 0}, ease: Quint.easeIn, delay: 0.5 } );
		TweenMax.to($('.third-slide .done_1'), 0.5, {css:{scale: 1}, ease: Quint.easeIn, delay: 3.5 } );
		TweenMax.to($('.third-slide .done_2'), 0.5, {css:{scale: 1}, ease: Quint.easeIn, delay: 4 } );
		TweenMax.to($('.third-slide .done_3'), 0.5, {css:{scale: 1}, ease: Quint.easeIn, delay: 4.5 } );
		TweenMax.to($('.third-slide .done_4'), 0.5, {css:{scale: 1}, ease: Quint.easeIn, delay: 5 } );
		TweenMax.to($('.third-slide .done_5'), 0.5, {css:{scale: 1}, ease: Quint.easeIn, delay: 5.5 } );
		TweenMax.to($('.third-slide .done_6'), 0.5, {css:{scale: 1}, ease: Quint.easeIn, delay: 6 } );

		TweenMax.to($('.third-slide .done_line_1'), 0.5, {css:{scaleX: 1}, ease: Quint.easeIn, delay: 3.5 } );
		TweenMax.to($('.third-slide .done_line_2'), 0.5, {css:{scaleX: 1}, ease: Quint.easeIn, delay: 4 } );
		TweenMax.to($('.third-slide .done_line_3'), 0.5, {css:{scaleX: 1}, ease: Quint.easeIn, delay: 4.5 } );
		TweenMax.to($('.third-slide .done_line_4'), 0.5, {css:{scaleX: 1}, ease: Quint.easeIn, delay: 5 } );
		TweenMax.to($('.third-slide .done_line_5'), 0.5, {css:{scaleX: 1}, ease: Quint.easeIn, delay: 5.5 } );
		TweenMax.to($('.third-slide .done_line_6'), 0.5, {css:{scaleX: 1}, ease: Quint.easeIn, delay: 6 } );

		TweenMax.to($('.third-slide-description.show-description'), 1, {css:{top: 0, opacity: 1}, ease: Quint.easeOut, delay: 6.7 } );
		TweenMax.to($('.hide-description'), 1.1, {css:{top: 100, opacity: 0}, ease: Quint.easeIn, delay: 0 } );
		TweenMax.to($('.hide-description'), 0.2, {css:{top: -100, opacity: 0}, ease: Quint.easeIn, delay: 1.6 } );
	} else{
		$('.third-slide').find('div,p,img').removeAttr('style');
		changeImageSize();
		changeFramePosition();
	}

	clearInterval(frameIntervalId);
	frameContainerSize()
	frameIntervalId = setInterval(function() {
		if (frameCount == slideFrameContainer.length) {
			clearInterval(frameIntervalId)
		}
		$('.frame').removeClass('show-frame');
		$(slideFrameContainer[frameCount]).addClass('show-frame')
		frameCount++;
	}, frameShowTime + 100)
}