var timeOuts = Array();
timeOuts[0] = 13;
timeOuts[1] = 13;
var frameIntervalId = null;
var timeout = null;
var switcherIndex = 0;

function enterLogState(){
	clearTimeout( timeout );
	clearInterval( frameIntervalId )
}

function getPagesCount(){
	return 2;
}
function slideMove( index ){
	switcherIndex = index;
	showeSlideAnimation( switcherIndex );
	changeFramePosition();
	clearTimeout( timeout );
	$( '.frame-container' ).eq( index ).find( '.frame' ).removeClass( 'show-frame' );
	$( '.frame-container' ).eq( index ).find( '.frame' ).eq( 0 ).addClass( 'show-frame' );
	timeout = setTimeout( "clearInterval(frameIntervalId);controller.selectPage_(" + (index + 1) + ");", timeOuts[index] * 1000 );
}
/******
 *
 *
 * Animation: slide animation
 *
 */
var showeSlideAnimation = function ( index ){
	var slideTime = timeOuts[index],
		indexInt = parseInt( index ),
		slideName = '',
		frameShowTime,
		slideFrameContainer = [],
		frameCount = 1;
	var timerIdDescriptionHide

	switch ( indexInt ) {
		case 0:
			slideName = ".first-slide";
			break;
		case 1:
			slideName = ".second-slide";
			break;
		case 2:
			slideName = ".third-slide";
			break;
		case 3:
			slideName = ".fourth-slide";
			break;
		case 4:
			slideName = ".fifth-slide";
			break;
		case 5:
			slideName = ".sixth-slide";
			break;
		default:
			slideName = "not defined"
			break;
	}

	$( '.frame-container' ).css( {'display': 'none'} );
	$( slideName ).css( {'display': 'block'} );
	$( '.frame' ).removeClass( 'show-frame' )
	$( slideFrameContainer[0] ).addClass( 'show-frame' )

	slideFrameContainer = $( slideName ).find( '.frame' );


	frameShowTime = (slideTime / slideFrameContainer.length) * 1000;

	$( '.slide-description' ).removeClass( 'hide-description' ).removeClass( 'show-description' );
	$( slideName + '-description' ).addClass( 'show-description' );
	$( '.slide-description' ).not( slideName + '-description' ).addClass( 'hide-description' );
	changeFramePosition();

	if ( indexInt == 0 ) {
		TweenMax.killAll( false, true, false );
		// TweenMax.to($('.first-slide .finder'), 1.2, {css:{scale: 1, opacity: 1}, ease: Back.easeOut, delay: 1});
		// TweenMax.to($('.first-slide .finder'), 1.2, {css:{right: "-60%"}, ease: Back.easeOut, delay: 3.2});
		TweenMax.to( $( '.first-slide .iphoto' ), 1.2, {css: {scale: 1, opacity: 1}, ease: Back.easeOut, delay: 1} );
		TweenMax.to( $( '.first-slide .iphoto' ), 1.2, {css: {right: '60%'}, ease: Back.easeOut, delay: 3.2} );
		TweenMax.to( $( '.first-slide .finder' ), 1.2, {css: {scale: 1, opacity: 1}, ease: Back.easeOut, delay: 4.4} );

		TweenMax.to( $( '.first-slide-description.show-description' ), 1.6, {css: {top: -12, opacity: 1}, ease: Quint.easeOut, delay: 5.8 } );
		TweenMax.to( $( '.hide-description' ), 1.1, {css: {top: 100, opacity: 0}, ease: Quint.easeIn, delay: 0 } );
		TweenMax.to( $( '.hide-description' ), 0.2, {css: {top: -100, opacity: 0}, ease: Quint.easeIn, delay: 1.6 } );
	} else {
		$( '.first-slide' ).find( 'img,div,p' ).removeAttr( 'style' );
		changeImageSize();
	}
	if ( indexInt == 1 ) {
		TweenMax.killAll( false, true, false );
		TweenMax.to( $( '.second-slide .iphoto' ), 1.2, {css: {right: "100%", opacity: 0}, ease: Back.easeOut, delay: 1} );
		TweenMax.to( $( '.second-slide .finder' ), 1.2, {css: {right: "60%"}, ease: Back.easeOut, delay: 1} );
		TweenMax.to( $( '.second-slide .trash-bottom' ), 1.2, {css: {opacity: 1}, ease: Back.easeOut, delay: 2.2} );
		TweenMax.to( $( '.second-slide .trash-top' ), 1.2, {css: {opacity: 1}, ease: Back.easeOut, delay: 2.2} );
		TweenMax.to( $( '.second-slide .omnomnom' ), 1.2, {css: {opacity: 1}, ease: Back.easeOut, delay: 2.2} );
		TweenMax.to( $( '.second-slide .mountain-image' ), 2, {css: {bezier: {type: "soft", values: [
			{right: "0%", top: "-40%" },
			{right: "-74%", top: "21%"}
		], autoRotate: true}, rotation: 15}, ease: Power1.easeInOut, delay: 3.2} );
		TweenMax.to( $( '.second-slide .flower-image' ), 2, {css: {bezier: {type: "soft", values: [
			{right: "0%", top: "-40%" },
			{right: "-72%", top: "20%"}
		], autoRotate: true}, rotation: 45}, ease: Power1.easeInOut, delay: 3.8} );
		TweenMax.to( $( '.second-slide .dashed_1' ), 0.5, {css: {opacity: 1}, ease: Back.easeOut, delay: 3.4} );
		TweenMax.to( $( '.second-slide .dashed_2' ), 0.5, {css: {opacity: 1}, ease: Back.easeOut, delay: 4} );

		TweenMax.to( $( '.second-slide-description.show-description' ), 1.6, {css: {top: -12, opacity: 1}, ease: Quint.easeOut, delay: 5 } );
		TweenMax.to( $( '.hide-description' ), 1.1, {css: {top: 100, opacity: 0}, ease: Quint.easeIn, delay: 0 } );
		TweenMax.to( $( '.hide-description' ), 0.2, {css: {top: -100, opacity: 0}, ease: Quint.easeIn, delay: 1.6 } );
	} else {
		$( '.second-slide' ).find( 'img,div,p' ).removeAttr( 'style' );
		changeImageSize();
	}

	clearInterval( frameIntervalId );
	frameContainerSize()
	frameIntervalId = setInterval( function (){
		if ( frameCount == slideFrameContainer.length ) {
			clearInterval( frameIntervalId )
		}
		$( '.frame' ).removeClass( 'show-frame' );
		$( slideFrameContainer[frameCount] ).addClass( 'show-frame' )
		frameCount++;
	}, frameShowTime + 100 )
}
// $(document).ready(function(){
// 	showeSlideAnimation(1);
// 		})
