document.addEventListener('DOMContentLoaded', function() {
    var download = document.querySelector('#action-download'),
        store = document.querySelector('#action-store');

    if (download) {
        download.addEventListener('click', function(event) {
            event.preventDefault();
            console.log('DOWNLOAD');
            controller.webDownloadCMM3();
        });
    }

    if (store) {
        store.addEventListener('click', function(event) {
            event.preventDefault();
            console.log('STORE');
            controller.webShowEmbeddedStore();
        });
    }

    var screenshots = $('[data-screenshot]'), active_index = 0, max_index = screenshots.length - 1;
    screenshots.eq(active_index).addClass('active');
    setInterval(function() {
        active_index += 1;
        if (active_index > max_index) active_index = 0;
        screenshots.removeClass('active');
        screenshots.eq(active_index).addClass('active');
    }, 3500);
});